package com.link.core.kafka.init;

import jodd.util.StringUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.kafka.config.KafkaListenerEndpointRegistry;
import org.springframework.stereotype.Component;

@Component
public class KafkaStartupRunner implements ApplicationRunner {
   private static Logger logger = LoggerFactory.getLogger(KafkaStartupRunner.class);
   private static final String KAFKA_CONSUMER_DESTROY = "KafkaConsumer";
   @Value("${application.running.config.destroy:null}")
   private String appRunningConfigDestroy;
   @Autowired
   private KafkaListenerEndpointRegistry registry;

   public void run(ApplicationArguments args) throws Exception {
      if (StringUtil.isBlank(this.appRunningConfigDestroy)) {
         this.registry.start();
      }

      String[] configs = this.appRunningConfigDestroy.split(",");
      String[] var3 = configs;
      int var4 = configs.length;

      for(int var5 = 0; var5 < var4; ++var5) {
         String s = var3[var5];
         String config = s.trim();
         if ("KafkaConsumer".equalsIgnoreCase(config)) {
            return;
         }
      }

      this.registry.start();
      logger.info("应用启动成功，开启kafka消费动作");
   }
}
